package com.mvc.model.ysfx;

import java.math.BigDecimal;
import java.util.List;

public class DicWaterTypeModel {
    private Integer id;

    private Integer waterType;

    private String waterTypeName;

    private BigDecimal perCapitaStandard;

    private String unitCode;

    private BigDecimal waterCons;

    private Integer peopleNum;

    private BigDecimal averageWater;//人均用水
    private List<String> dayCategory;//日(为前台提供用水标准的X轴数据)

    private List<BigDecimal> dayValues;//每日平均用水(为前台提供用水标准Y轴数据)

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getWaterType() {
        return waterType;
    }

    public void setWaterType(Integer waterType) {
        this.waterType = waterType;
    }

    public String getWaterTypeName() {
        return waterTypeName;
    }

    public void setWaterTypeName(String waterTypeName) {
        this.waterTypeName = waterTypeName == null ? null : waterTypeName.trim();
    }

    public BigDecimal getPerCapitaStandard() {
        return perCapitaStandard;
    }

    public void setPerCapitaStandard(BigDecimal perCapitaStandard) {
        this.perCapitaStandard = perCapitaStandard;
    }

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode == null ? null : unitCode.trim();
    }

    public BigDecimal getWaterCons() {
        return waterCons;
    }

    public void setWaterCons(BigDecimal waterCons) {
        this.waterCons = waterCons;
    }

    public Integer getPeopleNum() {
        return peopleNum;
    }

    public void setPeopleNum(Integer peopleNum) {
        this.peopleNum = peopleNum;
    }

    public List<String> getDayCategory() {
        return dayCategory;
    }

    public void setDayCategory(List<String> dayCategory) {
        this.dayCategory = dayCategory;
    }

    public BigDecimal getAverageWater() {
        return averageWater;
    }

    public void setAverageWater(BigDecimal averageWater) {
        this.averageWater = averageWater;
    }

    public List<BigDecimal> getDayValues() {
        return dayValues;
    }

    public void setDayValues(List<BigDecimal> dayValues) {
        this.dayValues = dayValues;
    }
}